## prelude-ident

prelude-ident —

## Synopsis

    typedef     prelude_ident_t;
    uint64_t    prelude_ident_inc               (prelude_ident_t *ident);
    uint64_t    prelude_ident_dec               (prelude_ident_t *ident);
    void        prelude_ident_destroy           (prelude_ident_t *ident);
    int         prelude_ident_new               (prelude_ident_t **ret);

## Description

## Details

### prelude_ident_t

    typedef struct prelude_ident prelude_ident_t;

### prelude_ident_inc ()

    uint64_t    prelude_ident_inc               (prelude_ident_t *ident);

Increment the ident associated with the prelude_ident_t object.

`ident` : | Pointer to a prelude_ident_t object.
Returns : | the new ident.

### prelude_ident_dec ()

    uint64_t    prelude_ident_dec               (prelude_ident_t *ident);

`ident` : |
Returns : |

### prelude_ident_destroy ()

    void        prelude_ident_destroy           (prelude_ident_t *ident);

Destroy a prelude_ident_t object.

`ident` : | Pointer to a prelude_ident_t object.

### prelude_ident_new ()

    int         prelude_ident_new               (prelude_ident_t **ret);

Create a new prelude_ident_t object with an unique value.

`ret` : | Pointer where to store the created object.
Returns : | 0 on success, or a negative value if an error occured.